<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if ($admin) {

	switch ($act) {
	
		default:

		require_header('Админ-панель');

		echo '<div class="menu">
		<b>Всего файлов:</b> '.mysql_result(mysql_query("SELECT COUNT(`id`) FROM `".SQLprefixTable."files` WHERE `size`>'0'"), 0).'<br/>
		<b>Общий объем:</b> '.size(mysql_result(mysql_query("SELECT SUM(`size`) FROM `".SQLprefixTable."files` WHERE `size`>'0'"), 0)).'<br/>
		</div>
		
		<div class="title">Управление новостями</div>
		
		<div class="menu">
		<a href="'.ADMIN.'/news.xhtml">Все новости</a> ['.mysql_result(mysql_query("SELECT COUNT(1) FROM `".SQLprefixTable."news`"), 0).']<br/>
		<a href="'.ADMIN.'/news.xhtml/add/">Добавить новость</a><br/>
		<a href="'.ADMIN.'/news_comment.xhtml/truncate/">Очистить комментарии</a>
		</div>
		
		<div class="title">Управление файлами</div>
		
		<div class="menu">
		<a href="'.ADMIN.'/manager.xhtml">Файловый менеджер</a><br/>
		<a href="'.ADMIN.'/marker.xhtml">Маркер картинок</a><br/>
		<a href="'.ADMIN.'/import.xhtml">Импорт файлов</a><br/>
		<a href="'.ADMIN.'/upload.xhtml">Загрузка файлов</a><br/>
		</div>
		
		<div class="title">База данных MYSQL</div>
		
		<div class="menu">
		<a href="'.ADMIN.'/update.xhtml">Полное обновление БД</a><br/>
		<a href="'.ADMIN.'/update_count.xhtml">Пересчитать показатели</a><br/>
		<a href="'.ADMIN.'/clear.xhtml">Очистка БД от мусора</a><br/>
		<a href="'.ADMIN.'/clean.xhtml">Полная очистка БД</a><br/>
		<a href="'.ADMIN.'/alter.xhtml">Оптимизация БД</a>
		</div>
		
		<div class="title">Управление</div>
		
		<div class="menu">
		<a href="'.ADMIN.'/settings.xhtml">Настройки скрипта</a><br/>
		<a href="'.ADMIN.'/index.xhtml/exit/">Выйти из админки</a>
		</div>

		<div class="block"><a href="'.SCRIPT.'">Все загрузки</a></div>';
		
		require_footer();
		
		break;
	
		case 'exit':
		
		session_destroy();
		header('Location: '.SCRIPT);
		
		break;
	
	}
	
} else {

	require_header('Вход в админ-панель');

	if (isset($_POST['login'], $_POST['password'])) {
	
		$error = '';
		
		if (empty($_POST['login']) || empty($_POST['password'])) {
			$error .= 'Все поля обязательны для заполнения!';
		}
		else if (strtolower($_POST['login']) !== strtolower(ADMIN_LOGIN)) {
			$error .= 'Логин администратора введен не верно!';
		}
		else if (strtolower(md5($_POST['password'])) !== strtolower(ADMIN_PASSWORD)) {
			$error .= 'Пароль администратора введен не верно!';
		}
		
		if ($error) {
			echo '<div class="error">'.$error.'</div>';
		} else {
			$_SESSION['login'] = $_POST['login'];
			$_SESSION['password'] = md5($_POST['password']);
			header('Location: '.SCRIPT.'/admin/index.xhtml');
		}
	
	}

	echo '<form class="menu" action="" method="post">
	<b>Логин:</b><br/><input type="text" name="login"/><br/>
	<b>Пароль:</b><br/><input type="password" name="password"/><br/>
	<input class="count" type="submit" value="Войти"/>
	</form>';
	
	echo '<div class="block"><a href="'.SCRIPT.'">Все загрузки</a></div>';

	require_footer();
	
}
?>